# Namespace: module_index

## module_index

Éste módulo es el encargado de la presentación de los componentes de la página de inicio

Source:
  - index.js, line 2

### Methods

#### (private, static) ._initializeComponents()

Método de inicialización de componentes necesarios en la primera pantalla del sistema

Source:
  - index.js, line 22

#### (private, static) .getDateNow()

Regresa la fecha actual con formato YYYY-MM-DD

Source:
  - index.js, line 165

#### (static) .loadModules()

Se incializan los módulos de traducción y los componentes necesarios para el índice

Source:
  - index.js, line 234

#### (static) .startModule(url_front, url_api, tipo_modulo, verbose)

Función encargada de configurar las ligas que se usuarán para el ambiente gráfico y el API.

##### Parameters:

Name | Type | Description
--- | --- | ---
`url_front` | string | URL que donde se sirve el frontend
`url_api` | string | URL del api SNIB-middleware
`tipo_modulo` | integer | Módulo que se está usando (0-nicho, 1-comunidad, 2-index)
`verbose` | boolean | Se activa mesnajes de debug

Source:
  - index.js, line 192